## com.puppycrawl.tools.checkstyle.checks.naming
Class MemberNameCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.AbstractFormatCheck
                      com.puppycrawl.tools.checkstyle.checks.naming.AbstractNameCheck
                          com.puppycrawl.tools.checkstyle.checks.naming.MemberNameCheck

All Implemented Interfaces:
  Configurable, Contextualizable

    public class MemberNameCheck

extends AbstractNameCheck

Checks that instance variable names conform to a format specified by the format property. The format is a `regular expression` and defaults to ^[a-z][a-zA-Z0-9]*$.

An example of how to configure the check is:

     <module name="MemberName"/>

An example of how to configure the check for names that begin with "m", followed by an upper case letter, and then letters and digits is:

     <module name="MemberName">
        <property name="format" value="^m[A-Z][a-zA-Z0-9]*$"/>
     </module>

Version:
  1.0
Author:
  Rick Giles

Constructor Summary
`MemberNameCheck()` Creates a new `MemberNameCheck` instance.

Method Summary
`boolean` `getApplyToPackage()`
`boolean` `getApplyToPrivate()`
`boolean` `getApplyToProtected()`
`boolean` `getApplyToPublic()`
`int[]` `getDefaultTokens()` Returns the default token a check is interested in.
`protected boolean` `mustCheckName(DetailAST aAST)` Decides whether the name of an AST should be checked against the format regexp.
`void` `setApplyToPackage(boolean aApplyTo)` Sets whether we should apply the check to package-private members.
`void` `setApplyToPrivate(boolean aApplyTo)` Sets whether we should apply the check to private members.
`void` `setApplyToProtected(boolean aApplyTo)` Sets whether we should apply the check to protected members.
`void` `setApplyToPublic(boolean aApplyTo)` Sets whether we should apply the check to public members.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.naming.AbstractNameCheck
`visitToken`

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.AbstractFormatCheck
`getFormat, getRegexp, setCompileFlags, setFormat`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`beginTree, destroy, finishTree, getAcceptableTokens, getClassLoader, getFileContents, getLines, getRequiredTokens, getTabWidth, getTokenNames, init, leaveToken, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getId, getMessageBundle, getSeverity, getSeverityLevel, log, log, log, log, log, log, log, log, log, setId, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MemberNameCheck

    public MemberNameCheck()

  Creates a new `MemberNameCheck` instance.

Method Detail

### getDefaultTokens

    public int[] getDefaultTokens()

  Returns the default token a check is interested in. Only used if the configuration for a check does not define the tokens.

  Specified by:
    `getDefaultTokens` in class `Check`
  Returns:
    the default tokens
  See Also:
    `TokenTypes`

### mustCheckName

    protected final boolean mustCheckName(DetailAST aAST)

  Decides whether the name of an AST should be checked against the format regexp.

  Overrides:
    `mustCheckName` in class `AbstractNameCheck`
  Parameters:
    `aAST` - the AST to check.
  Returns:
    true if the IDENT subnode of aAST should be checked against the format regexp.

### setApplyToPublic

    public void setApplyToPublic(boolean aApplyTo)

  Sets whether we should apply the check to public members.

  Parameters:
    `aApplyTo` - new value of the property.

### getApplyToPublic

    public boolean getApplyToPublic()

  Returns:
    true if the check should be applied to public members.

### setApplyToProtected

    public void setApplyToProtected(boolean aApplyTo)

  Sets whether we should apply the check to protected members.

  Parameters:
    `aApplyTo` - new value of the property.

### getApplyToProtected

    public boolean getApplyToProtected()

  Returns:
    true if the check should be applied to protected members.

### setApplyToPackage

    public void setApplyToPackage(boolean aApplyTo)

  Sets whether we should apply the check to package-private members.

  Parameters:
    `aApplyTo` - new value of the property.

### getApplyToPackage

    public boolean getApplyToPackage()

  Returns:
    true if the check should be applied to package-private members.

### setApplyToPrivate

    public void setApplyToPrivate(boolean aApplyTo)

  Sets whether we should apply the check to private members.

  Parameters:
    `aApplyTo` - new value of the property.

### getApplyToPrivate

    public boolean getApplyToPrivate()

  Returns:
    true if the check should be applied to private members.

Back to the Checkstyle Home Page